### Class

# Gtk BuilderListItemFactory

#### Description [src]

    final class Gtk.BuilderListItemFactory : Gtk.ListItemFactory {
      /* No available fields */
    }

`GtkBuilderListItemFactory` is a `GtkListItemFactory` that creates widgets by instantiating `GtkBuilder` UI templates.

The templates must be extending `GtkListItem`, and typically use `GtkExpression`s to obtain data from the items in the model.

Example: `xml <interface> <template class="GtkListItem"> <property name="child"> <object class="GtkLabel"> <property name="xalign">0</property> <binding name="label"> <lookup name="name" type="SettingsKey"> <lookup name="item">GtkListItem</lookup> </lookup> </binding> </object> </property> </template> </interface>`.

#### Hierarchy

#### Ancestors

- GtkListItemFactory
- GObject

#### Constructors

###### gtk_builder_list_item_factory_new_from_bytes

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using `bytes` as the data to pass to `GtkBuilder`.

###### gtk_builder_list_item_factory_new_from_resource

Creates a new `GtkBuilderListItemFactory` that instantiates widgets using data read from the given `resource_path` to pass to `GtkBuilder`.

#### Instance methods

###### gtk_builder_list_item_factory_get_bytes

Gets the data used as the `GtkBuilder` UI template for constructing listitems.

###### gtk_builder_list_item_factory_get_resource

If the data references a resource, gets the path of that resource.

###### gtk_builder_list_item_factory_get_scope

Gets the scope used when constructing listitems.

#### Properties

###### Gtk.BuilderListItemFactory:bytes

`GBytes` containing the UI definition.

###### Gtk.BuilderListItemFactory:resource

Path of the resource containing the UI definition.

###### Gtk.BuilderListItemFactory:scope

`GtkBuilderScope` to use when instantiating listitems.

#### Class structure

    struct GtkBuilderListItemFactoryClass {
      /* no available fields */
    }